Subject: Re: [PATCH v2 00/12] fsck: drop use of `the_repository`

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 1 Apr 2026 00:50:37 +0200

On Tue, Mar 31, 2026 at 03:05:04PM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > this patch series refactors "{builtin/,}fsck.c" to not depend on
> > `the_repository` anymore. These refactorings are mostly done to prepare
> > for upcoming changes where we'll make backend-specific fsck checks
> > pluggable.
> >
> > Changes in v2:
> >   - Propagate the repository via `struct fsck_options`.
> >   - Link to v1: https://lore.kernel.org/r/[email-masked]
> 
> Looking good.  Shall we mark the topic for 'next' now?

No more changes are planned on my side, so I'm fine with that. Thanks!

Patrick